Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# HRCParserImpl Class Reference
[Parsers]

Inheritance diagram for HRCParserImpl:

## Detailed Description

Implementation of HRCParser.

Reads and mantains HRC database of syntax rules, used by TextParser implementations to make realtime text syntax parsing.

## Public Member Functions
void | setErrorHandler (ErrorHandler *eh)
void | loadSource (InputSource *is)
FileType * | getFileType (const String *name)
FileType * | enumerateFileTypes (int index)
FileType * | chooseFileType (const String *fileName, const String *firstLine, int typeNo=0)
int | getRegionCount ()
const Region * | getRegion (int id)
const Region * | getRegion (const String *name)
const String * | getVersion ()
## Protected Types
enum | QualifyNameType { QNT_DEFINE, QNT_SCHEME, QNT_ENTITY }
## Protected Member Functions
void | loadFileType (FileType *filetype)
void | parseHRC (InputSource *is)
void | addPrototype (Element *elem)
void | addType (Element *elem)
void | addScheme (Element *elem)
void | addSchemeNodes (SchemeImpl *scheme, Node *elem)
void | loadBlockRegions (SchemeNode *node, Element *el)
void | loadRegions (SchemeNode *node, Element *el, bool st)
String * | qualifyOwnName (const String *name)
bool | checkNameExist (const String *name, FileTypeImpl *parseType, QualifyNameType qntype, bool logErrors)
String * | qualifyForeignName (const String *name, QualifyNameType qntype, bool logErrors)
void | updateLinks ()
String * | useEntities (const String *name)
const Region * | getNCRegion (Element *el, const String &tag)
const Region * | getNCRegion (const String *name, bool logErrors)
## Protected Attributes
Hashtable< FileTypeImpl * > | fileTypeHash
Vector< FileTypeImpl * > | fileTypeVector
Hashtable< SchemeImpl * > | schemeHash
Hashtable< int > | disabledSchemes
Vector< const Region * > | regionNamesVector
Hashtable< const Region * > | regionNamesHash
Hashtable< String * > | schemeEntitiesHash
String * | versionName
FileTypeImpl * | parseType
InputSource * | curInputSource
bool | structureChanged
bool | updateStarted
DocumentBuilder | docbuilder
ErrorHandler * | errorHandler

## Member Function Documentation

const Region * HRCParserImpl::getNCRegion | ( | const String * | name,
|  | bool | logErrors
| ) | `[protected]`

| Check for 'default' region request. Regions with this name are always transparent

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.